class LearningObject::Attachment < ActiveRecord::Base
  belongs_to :learning_object

  has_attached_file :thumbnail, styles: {medium: "530x300", small: "250x140"}
  validates_attachment_content_type :thumbnail, :content_type => ["image/jpg", "image/jpeg", "image/png", "image/gif"]
end
