namespace :object_type do
  desc 'Destroy the types that are not defaults'
  task :restart => :environment do
    undefined_type = ObjectType.find_by_name('Outros')
    ObjectType.all.each do |type|
      unless default_types.include? type.name
        type.learning_objects.each {|lo| lo.update_attribute(:object_type, undefined_type) }
        ObjectType.destroy type.id
      end
    end
  end

  def default_types
    [
        'Imagem', 'Mapa', 'Software Educacional', 'Experimento prático', 'Animação/simulação', 'Texto',
        'Áudio', 'PDF', 'Website externo', 'Vídeo', 'Outros'
    ]
  end

end