require 'test_helper'

class BookmarkTest < ActiveSupport::TestCase
  should belong_to(:user).counter_cache(true)
  should belong_to(:bookmarkable)

  should validate_presence_of(:user)
  should validate_presence_of(:bookmarkable)

  # TODO: shoulda try to insert user with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:user_id).scoped_to([:bookmarkable_id, :bookmarkable_type]).case_insensitive
end
