require 'test_helper'

class FollowTest < ActiveSupport::TestCase
  should belong_to :user
  should belong_to(:followable).counter_cache(true)

  should validate_presence_of(:user)
  should validate_presence_of(:followable)

  # TODO: shoulda try to insert user with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:user_id).scoped_to([:followable_id, :followable_type]).case_insensitive
end
