require 'test_helper'

class UserTest < ActiveSupport::TestCase
  should have_and_belong_to_many(:roles)
  should have_and_belong_to_many(:institutions)

  should have_many :bookmarks
  should have_many(:bookmark_collections).through(:bookmarks).source(:bookmarkable)
  should have_many(:bookmark_learning_objects).through(:bookmarks).source(:bookmarkable)

  should have_many :collections

  should have_many :learning_objects

  should have_many :views
  should have_many :downloads
  should have_many :likes
  should have_many :shares
  should have_many :follows

  should have_many :reviews
end
