
//Configurações de gráficos BAR
//mais infos www.chartjs.org/docs/

function dataUsers(teachers, curators, admins){
var data = {
  labels: [ "Professores", "Curadores", "Admnistradores"],
 datasets: [
     {
         label: "My First dataset",
         fillColor: "rgba(100,89,54,0.5)",
         strokeColor: "rgba(1,34,65,0.8)",
         highlightFill: "rgba(53,13,54,0.75)",
         highlightStroke: "rgba(32,80,90,1)",
         data: [teachers, curators, admins]
     },
 ]
};
return data;

}




var bar_options = {
    //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
    scaleBeginAtZero : true,

    //Boolean - Whether grid lines are shown across the chart
    scaleShowGridLines : true,

    //String - Colour of the grid lines
    scaleGridLineColor : "rgba(0,0,0,.05)",

    //Number - Width of the grid lines
    scaleGridLineWidth : 1,

    //Boolean - Whether to show horizontal lines (except X axis)
    scaleShowHorizontalLines: true,

    //Boolean - Whether to show vertical lines (except Y axis)
    scaleShowVerticalLines: true,

    //Boolean - If there is a stroke on each bar
    barShowStroke : true,

    //Number - Pixel width of the bar stroke
    barStrokeWidth : 2,

    //Number - Spacing between each of the X value sets
    barValueSpacing : 5,

    //Number - Spacing between data sets within X values
    barDatasetSpacing : 1,

    //String - A legend template
    legendTemplate : "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].fillColor%>\"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>"

};
