namespace :language do
  desc 'Clean languages that fail the validations'
  task :clean => :environment do
    valid_lang = Language.find(1)
    Language.all.each do |language|
      if language.invalid?
        language.learning_objects.each do |lo|
          lo.update_attribute(:language, valid_lang)
        end
        language.update(learning_objects: [])
        Language.destroy language.id
      end
    end
  end
end