module Thumbnail
  module Strategies
    class ImageThumbnailGenerator < ::Thumbnail::GeneratableStrategy

      def generate(media)
        media
      end

      def can_generate?(media)
        return MimeMagic.by_magic(media).type.include? "image"  if File == media.class
        false
      end

    end
  end
end