require 'test_helper'

class Management::ObjectTypesControllerTest < ActionController::TestCase
  setup do
    @management_object_type = management_object_types(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:management_object_types)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create management_object_type" do
    assert_difference('Management::ObjectType.count') do
      post :create, management_object_type: {  }
    end

    assert_redirected_to management_object_type_path(assigns(:management_object_type))
  end

  test "should show management_object_type" do
    get :show, id: @management_object_type
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @management_object_type
    assert_response :success
  end

  test "should update management_object_type" do
    patch :update, id: @management_object_type, management_object_type: {  }
    assert_redirected_to management_object_type_path(assigns(:management_object_type))
  end

  test "should destroy management_object_type" do
    assert_difference('Management::ObjectType.count', -1) do
      delete :destroy, id: @management_object_type
    end

    assert_redirected_to management_object_types_path
  end
end
