require 'test_helper'

class ComplaintTest < ActiveSupport::TestCase
  should belong_to :complaint_reason
  should belong_to :user
  should belong_to :complaintable

  should validate_presence_of(:user)
  should validate_presence_of(:complaintable)
  should validate_presence_of(:description)
  should validate_presence_of(:complaint_reason)

  # TODO: shoulda try to insert user with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:user_id).scoped_to([:complaintable_id, :complaintable_type]).case_insensitive
end
