require 'test_helper'

class LearningObjectTest < ActiveSupport::TestCase
  should have_and_belong_to_many :topics

  should have_many :collection_items
  should have_many(:collections).through(:collection_items)
  should have_many :complaints
  should have_many(:attachments).class_name('LearningObject::Attachment')

  should belong_to :publisher
  should belong_to :language
  should belong_to :object_type
end
