require 'test_helper'

class TopicRelationshipTest < ActiveSupport::TestCase
  should belong_to(:parent).class_name('Topic')
  should belong_to(:child).class_name('Topic')

  should validate_presence_of(:parent)
  should validate_presence_of(:child)

  # TODO: shoulda try to insert child with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:child).scoped_to(:parent)
end
